Foreman - Bug #23386

Can't exit fullscreen mode in the editor using the escape key
04/24/2018 07:18 PM - boaz shust

Status: Closed
Priority: Low
Assignee: boaz shust
Category:
Target version: 1.18.0
Difficulty: trivial Fixed in Releases: 1.19.0
Triaged: No Found in Releases: Nightly
Bugzilla link: Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/5490
Description

Pressing the escape key is supposed to exit from the fullscreen mode in the editor (in the partition templates, for instance). However,
it doesn't work in the current version.

How to produce:

1) Login to Foreman

2) On the left (vertical) menu choose "Hosts" > "Partition Tables"

3) Click on one of the items in the table, for example "FreeBSD"

4) Scroll down and click on the "Fullscreen" button below the "Template" section

5) Press the escape key on the keyboard

Expected: exiting the fullscreen mode (like as you will when clicking on "Exit Fullscreen").
Received: nothing.

Associated revisions

Revision de7ea0a8 - 04/25/2018 12:37 PM - boaz shust
Fixes #23386 - Exit fullscreen when pressing ESC

Pressing the escape key should make the editor exit

the fullscreen mode. Nonetheless, when this key is pressed
the "exit_fullscreen_editor" function is called but

it was renamed to "exitFullscreen" which ends up with an error
message in the console.

In this patch, | updated the called function to be "exitFullscreen"
so it will be possible to exit fullscreen when escape key is pressed.

Signed-off-by: Boaz Shuster <boaz.shuster.github@gmail.com>

History

#1 - 04/25/2018 12:29 PM - Tomer Brisker

- Project changed from Foreman Maintain to Foreman

#2 - 04/25/2018 12:37 PM - The Foreman Bot
- Status changed from New to Ready For Testing
- Pull request https://github.com/theforeman/foreman/pull/5490 added

#3 - 04/25/2018 01:02 PM - boaz shust
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset de7ea0a81d29cb8dfa8250ea854495cbc6ddb41e.
#4 - 04/25/2018 01:08 PM - Tomer Brisker

- translation missing: en.field_release set to 330

#5 - 08/29/2018 03:08 PM - Tomer Brisker
- Triaged set to No

- Fixed in Releases 1.19.0 added

05/18/2024

22


http://www.tcpdf.org

